
%global meadversion 0.0.4.1
%global namedversion 0.0.4.1-redhat-00002
%global meadalpha .redhat_00002
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00002

%{?scl:%scl_package opentracing-interceptors} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 0.0.4.1-redhat-00002

Name:           %{?scl_prefix}opentracing-interceptors
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        OpenTracing Contrib - Framework instrumentation for Java Interceptors
Group:          Development/Java

%if %with mead
Source100: opentracing-interceptors-0.0.4.1-redhat-00002-project-sources.tar.gz
Source102: opentracing-interceptors-0.0.4.1-redhat-00002.pom
Source103: opentracing-interceptors-0.0.4.1-redhat-00002-sources.jar
Source104: opentracing-interceptors-0.0.4.1-redhat-00002.jar
%endif

License:        MIT
URL:            https://github.com/opentracing-contrib/java-interceptors/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/opentracing-interceptors-%{namedversion}-%{release}-root

%description
OpenTracing Contrib - Framework instrumentation for Java Interceptors.

%if %with javadoc
%package javadoc
Summary:        Javadoc for opentracing-interceptors
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -c -n opentracing-interceptors-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/opentracing-interceptors-%{namedversion}.jar %{buildroot}%{_javadir}/opentracing-interceptors-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/opentracing-interceptors-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/opentracing-interceptors-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/opentracing-interceptors-%{namedversion}-sources.jar %{buildroot}%{_javadir}/opentracing-interceptors-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/opentracing-interceptors-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opentracing-interceptors-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opentracing-interceptors-%{namedversion} -x META-INF/\*
%{__ln_s} opentracing-interceptors-%{namedversion} %{buildroot}%{_javadocdir}/opentracing-interceptors
%endif

# docs
%{__mkdir_p} %{buildroot}/%{_docdir}/%{pkg_name}
#%{_builddir}/ is difference on el7 and el8 while "%setup -c"
%{__cp} -p $(find %{_builddir}/ -name LICENSE -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name README.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}
%{__cp} -p $(find %{_builddir}/ -name RELEASE.md -print -quit) %{buildroot}/%{_docdir}/%{pkg_name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%doc %{_docdir}/%{pkg_name}

%{_javadir}/opentracing-interceptors-%{namedversion}.jar
%{_javadir}/opentracing-interceptors.jar
%if %with javadoc
%exclude %{_javadir}/opentracing-interceptors-%{namedversion}-javadoc.jar
%exclude %{_javadir}/opentracing-interceptors-javadoc.jar
%endif
%{_javadir}/opentracing-interceptors-%{namedversion}-sources.jar
%{_javadir}/opentracing-interceptors-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opentracing-interceptors-%{namedversion}
%{_javadocdir}/opentracing-interceptors
%{_javadir}/opentracing-interceptors-%{namedversion}-javadoc.jar
%{_javadir}/opentracing-interceptors-javadoc.jar
%endif

%changelog
* Wed Jan 06 2021 Yong Yang <yyang@redhat.com> - 0.0.4.1-2.redhat_00002.1
- Rewrap 0.0.4.1-redhat-00002

* Tue Jan 05 2021 Yong Yang <yyang@redhat.com> - 0.0.4.1-1.redhat_00002.1
- 0.0.4.1-redhat-00002

* Mon Jan 04 2021 Permaine Cheung <pcheung@redhat.com> - 0.0.4.1-1.redhat_00002.1
- 0.0.4.1-redhat-00002

* Fri Oct 18 2019 Yong Yang <yyang@redhat.com> - 0.0.4-1.redhat_00004.1
- RPM wrapper build 0.0.4.redhat-00004


* Fri Oct 18 2019 Yong Yang <yyang@redhat.com> - 0.0.4.redhat-00004
- release
